> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fourthwall.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Tier

<Note>
  **OAuth scope:** `memberships_write`

  API keys have full access to this endpoint.
</Note>


## OpenAPI

````yaml /openapi/membership.json POST /open-api/v1.1/memberships/tiers
openapi: 3.1.0
info:
  title: OpenAPI
  version: 0.0.1
servers:
  - url: https://api.fourthwall.com
    description: Production server
security: []
paths:
  /open-api/v1.1/memberships/tiers:
    post:
      tags:
        - Tiers
      summary: Create Tier
      operationId: create-tier
      parameters:
        - name: X-ShopId
          in: header
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 40
                description:
                  type: string
                  maxLength: 600
                imageResourceId:
                  type: integer
                pricesAutomaticallyConverted:
                  type: boolean
                askForShippingAddress:
                  type: boolean
                monthlyAmounts:
                  type: object
                  properties:
                    usd:
                      type: integer
                      minimum: 100
                      maximum: 150000000
                    eur:
                      type: integer
                    gbp:
                      type: integer
                    cad:
                      type: integer
                    aud:
                      type: integer
                    nzd:
                      type: integer
                    sek:
                      type: integer
                    nok:
                      type: integer
                    dkk:
                      type: integer
                    pln:
                      type: integer
                    jpy:
                      type: integer
                    myr:
                      type: integer
                    sgd:
                      type: integer
                    mxn:
                      type: integer
                  required:
                    - usd
                    - eur
                    - gbp
                    - cad
                    - aud
                    - nzd
                    - sek
                    - nok
                    - dkk
                    - pln
                    - jpy
                    - myr
                    - sgd
                    - mxn
                discount:
                  type: object
                  properties:
                    percentOff:
                      type: object
                      properties:
                        monthly:
                          type: integer
                          minimum: 0
                          maximum: 100
                        annual:
                          type: integer
                          minimum: 0
                          maximum: 100
                      required:
                        - monthly
                    timeLimited:
                      type: object
                      properties:
                        startDate:
                          type: string
                          format: date-time
                        endDate:
                          type: string
                          format: date-time
                      required:
                        - startDate
                        - endDate
                  required:
                    - percentOff
                freeTrial:
                  type: boolean
              required:
                - name
                - description
                - monthlyAmounts
              openapi: true
        required: true
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.Common.Id'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response.Common.Error.Validation'
      security:
        - oauth:
            - memberships_write
        - basicAuth: []
components:
  schemas:
    Response.Common.Id:
      type: object
      properties:
        id:
          type: integer
      required:
        - id
      title: Id
    Response.Common.Error.Validation:
      type: object
      properties:
        parameters:
          type: object
          example: '{ "post_id": [ "is missing" ] }'
        body:
          type: object
          example: '{ "discount": { "percentOff": [ "is missing" ] } }'
      title: Validation
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: >-
            https://auth.staging.fourthwall.com/auth/realms/Fourthwall/protocol/openid-connect/auth
          scopes:
            memberships_read: memberships_read
            memberships_write: memberships_write
    basicAuth:
      type: http
      scheme: basic

````